Resolve an open incident by hand (a success resolves it on its own).
POST
/api/v1/incidents/{id}/resolve
const url = 'https://example.com/api/v1/incidents/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/resolve';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/incidents/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/resolveParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Incident id
Responses
Section titled “Responses”Resolved
Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}